<?php
    require('../conexion.php');

    $clave_producto = $_POST['clave_producto'];
    $nombre_producto = $_POST['nombre_producto'];
    $precio_producto = $_POST['precio_producto'];
    $clasificacion_producto = $_POST['clasificacion_producto'];
    $prioridad_producto = $_POST['prioridad_producto'];
    $costo_receta = $_POST['costo_receta'];
    $observaciones_producto = $_POST['observaciones_producto'];
    $costo_red_producto = $_POST['costo_red_producto'];
    $aux=0;
    $clasificacion_extra=$_POST['clasificacion_extra'];
    
    
    if(isset($_POST['rec_clave'])){
        $rec_clave = $_POST['rec_clave'];
        $rec_nombre = $_POST['rec_nombre'];
        $rec_id = $_POST['rec_id'];
        $rec_costo = $_POST['costo_receta'];
        $costo_red_producto = $_POST['costo_red_producto'];
    }else{
        $rec_clave = '';
        $rec_nombre = '';
        $rec_id ='';
        $rec_costo = '';
        $costo_red_producto = '';
    }
    $q=query("SELECT * FROM productos WHERE pro_clave='$clave_producto'");
    if($q->num_rows > 0){
        
        $aux =0;
    }else{
        
        // cambio en los estatus
        $query = query("INSERT INTO productos VALUES(null, '$clave_producto', '$nombre_producto', '$precio_producto', '$clasificacion_producto', 'Alta', '$rec_costo', '$costo_red_producto', '$observaciones_producto', '$rec_id','$prioridad_producto','$clasificacion_extra', CURRENT_TIME(), CURRENT_TIME())");
        $aux =1;
    }
   
    echo $aux;
    

?>